Package com.emc.documentum.rest.dfc

# Enum Class AuthType

java.lang.Object
java.lang.Enum<AuthType>
com.emc.documentum.rest.dfc.AuthType

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthType>`, `Constable`

public enum AuthType extends Enum<AuthType>
Authentication types supported by the persistence layer.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CUSTOM`
  The user credentials is the customer defined token.
  `DEFAULT`
  The default authentication type.
  `LOGIN_TICKET`
  The user credentials is the Documentum Login Ticket.
  `OAUTH2`
  The user credential is the OAuth 2.0 access token
  `OTDS_PASSWORD`
  The user credential is the OTDS password.
  `OTDS_TOKEN`
  The user credential is the OTDS OAuth 2.0 token.
  `PASSWORD`
  The user credentials is the Documentum user password.
  `PRINCIPAL`
  The authentication model is DFC principal mode (privileged DFC).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AuthType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AuthType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final AuthType DEFAULT
    The default authentication type.

  - ### LOGIN_TICKET

    public static final AuthType LOGIN_TICKET
    The user credentials is the Documentum Login Ticket.

  - ### PASSWORD

    public static final AuthType PASSWORD
    The user credentials is the Documentum user password.

  - ### PRINCIPAL

    public static final AuthType PRINCIPAL
    The authentication model is DFC principal mode (privileged DFC).

  - ### CUSTOM

    public static final AuthType CUSTOM
    The user credentials is the customer defined token.

  - ### OTDS_PASSWORD

    public static final AuthType OTDS_PASSWORD
    The user credential is the OTDS password.

  - ### OTDS_TOKEN

    public static final AuthType OTDS_TOKEN
    The user credential is the OTDS OAuth 2.0 token.

  - ### OAUTH2

    public static final AuthType OAUTH2
    The user credential is the OAuth 2.0 access token

- ## Method Details

  - ### values

    public static AuthType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AuthType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null